import {clog, arrIndex} from "js-fast-way"
import config from "~src/config/index";

import {useAppStore} from "~src/store";

const store = useAppStore()

//控制台打印
export const HcLog = (name, tips, data) => {
    const title = store.barMenuName ?? '';
    if (config.isLog === 'auto') {
        if (import.meta.env.DEV) {
            clog(title, name, tips, data)
        }
    } else if (config.isLog === true) {
        clog(title, name, tips, data)
    }
}

//取数组中的值
export const getRowsValue = (arr, key, key2, value) => {
    if (value) {
        const index = arrIndex(arr, key, value)
        return arr[index][key2]
    } else {
        return ''
    }
}

//拼接ID
export const rowsToId = (rows) => {
    return rowsToKey(rows, 'id')
}

//拼接字段
export const rowsToKey = (rows, key, join = ',') => {
    return rows.map((obj) => {
        return obj[key];
    }).join(join)
}

//删除提醒
export const delMessage = (cbk) => {
    window?.$messageBox?.alert('请谨慎考虑后，确认是否需要删除？', '删除提醒', {
        showCancelButton: true,
        confirmButtonText: '确认删除',
        cancelButtonText: '取消',
        type: 'warning',
        callback: (action) => {
            if (action === 'confirm') {
                cbk()
            }
        }
    })
}


//设置复制文本
export const setCopyText = (text) => {
    return new Promise((resolve) => {
        if (window.navigator?.clipboard) {
            window.navigator.clipboard.writeText(text).then(() => {
                resolve(true)
            }).catch(() => {
                resolve(false)
            });
        } else {
            resolve(false)
        }
    })
}

//取剪切板文本
export const getCopyText = () => {
    return new Promise((resolve) => {
        if (window.navigator?.clipboard) {
            window.navigator.clipboard.readText().then((text) => {
                resolve(text)
            }).catch(() => {
                resolve(false)
            });
        } else {
            resolve(false)
        }
    })
}

